%{?scl:%scl_package nodejs-npmconf}
%{!?scl:%global pkg_name %{name}}
%{?nodejs_find_provides_and_requires}

Name:           %{?scl_prefix}nodejs-npmconf
Version:        1.1.8
Release:        4%{?dist}
Summary:        npm configuration module
License:        BSD
URL:            https://github.com/isaacs/npmconf
Source0:        http://registry.npmjs.org/npmconf/-/npmconf-%{version}.tgz

BuildRequires:  %{?scl_prefix}nodejs-devel

BuildArch:  noarch
ExclusiveArch: x86_64 noarch

%description
If you are interested in interacting with the config settings that npm
uses, then use this module.

However, if you are writing a new Node.js program, and want
configuration functionality similar to what npm has, but for your
own thing, then the author recommends rc. This module is for compatibility
use only.

%prep
%setup -q -n package

%nodejs_fixdep semver

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/npmconf
cp -pr package.json npmconf.js config-defs.js lib/ %{buildroot}%{nodejs_sitelib}/npmconf

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/npmconf
%doc README.md LICENSE

%changelog
* Thu May 26 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.1.8-4
- fixdep semver

* Sun Feb 14 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.1.8-3
- rebuilt

* Tue Jan 13 2015 Tomas Hrcka <thrcka@redhat.com> - 1.1.8-2
- Add missing sources from new version

* Thu Jan 08 2015 Tomas Hrcka <thrcka@redhat.com> - 1.1.8-1
- New upstream release 1.1.8

* Thu Jan 16 2014 Tomas Hrcka <thrcka@redhat.com> - 0.1.12-1
- New upstream release 0.1.12

* Thu Oct 17 2013 Tomas Hrcka <thrcka@redhat.com> - 0.1.3-2
- replace provides and requires with macro

* Sat Sep 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.3-1
- update to upstream release 0.1.3
- add ExclusiveArch logic

* Tue Jul 30 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.2-1
- new upstream release 0.1.2

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.1-1
- new upstream release 0.1.1

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.23-3
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.23-2
- add macro for EPEL6 dependency generation

* Fri Apr 12 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.0.23-2 
- Add support for software collections

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.23-1
- new upstream release 0.0.23

* Thu Jan 17 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.16-3
- fix spelling in description

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.16-2
- add missing build section
- improve summary/description

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.16-1
- initial package generated by npm2rpm
